/*
 * Copyright 2011 myTDev.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.mytdev.swing.actions;

/**
 * The properties defined for an action.
 * @author Yann D'Isanto
 */
public interface ActionProperties {

    String ICON = "icon";
    String NAME = "name";
    String DESCRIPTION = "description";
    String SHORT_DESCRIPTION = "short-description";
    String LONG_DESCRIPTION = "long-description";
    String ENABLED = "enabled";
    String KEYSTROKE = "keystroke";
    String SELECTED = "selected";
    String MNEMONIC = "mnemonic";
    String LARGE_ICON = "large-icon";
    String SMALL_ICON = "small-icon";
    String IMAGES_PATH = "images.path";
}
